summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2019-05-21 14:15:42 +0200
committerMarc Cornellà <marc.cornella@live.com>2019-06-03 17:18:23 +0200
commit576499a5ad6bc7b4b80238010ce8f1ab6dcde264 (patch)
tree5789c65149bd4303418847e83f90be0a5e41685b /tools
parenta7bd1f99ae54ff2e2081c455f1b34900059ccc71 (diff)
downloadzsh-576499a5ad6bc7b4b80238010ce8f1ab6dcde264.tar.gz
zsh-576499a5ad6bc7b4b80238010ce8f1ab6dcde264.tar.bz2
zsh-576499a5ad6bc7b4b80238010ce8f1ab6dcde264.zip
installer: fix for failed chsh quitting the installation
Diffstat (limited to 'tools')
-rwxr-xr-xtools/install.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 3ed8584aa..446e7f416 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -95,7 +95,9 @@ setup_shell() {
# If this platform provides a "chsh" command (not Cygwin), do it, man!
if command_exists chsh; then
echo "${BLUE}Time to change your default shell to zsh!${NORMAL}"
- chsh -s $(grep /zsh$ /etc/shells | tail -1)
+ if ! chsh -s $(grep /zsh$ /etc/shells | tail -1); then
+ echo "Error: chsh command unsuccessful. Change your default shell manually."
+ fi
# Else, suggest the user do so manually.
else
cat <<-EOF